## org.gnu.gtk.event
Class TreeModelEvent.Type

    java.lang.Object
      org.gnu.glib.EventType
          org.gnu.gtk.event.TreeModelEvent.Type

Enclosing class:
  TreeModelEvent

public static class TreeModelEvent.Type
extends EventType

Type of a TreeModelEvent

Field Summary
`static TreeModelEvent.Type` `ROW_CHANGED`
`static TreeModelEvent.Type` `ROW_DELETED`
`static TreeModelEvent.Type` `ROW_HAS_CHILD_TOGGLED`
`static TreeModelEvent.Type` `ROW_INSERTED`
`static TreeModelEvent.Type` `ROWS_REORDERED`

Methods inherited from class org.gnu.glib.EventType
`getID, getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ROW_CHANGED

    public static final TreeModelEvent.Type ROW_CHANGED

### ROW_INSERTED

    public static final TreeModelEvent.Type ROW_INSERTED

### ROW_HAS_CHILD_TOGGLED

    public static final TreeModelEvent.Type ROW_HAS_CHILD_TOGGLED

### ROW_DELETED

    public static final TreeModelEvent.Type ROW_DELETED

### ROWS_REORDERED

    public static final TreeModelEvent.Type ROWS_REORDERED